Skip to main content
PATCH
Core - Update dataset
Related guide: Datasets guide. See the Datasets guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string
required

Body

application/json
display_name
string
project_id
string
path
string

Project path to move the dataset to, in the format project/folder/subfolder. With a project-scoped API key the path is relative to that project. Takes precedence over project_id.

Response

OK

A dataset groups datapoints used for evaluation and optimization workflows.

display_name
string
required

Human-readable dataset name.

project_id
string
required

Project that owns the dataset.

metadata
object
required

Dataset counters maintained by the API.

created_by_id
string
required

Account that created the dataset.

updated_by_id
string
required

Account that last updated the dataset.

created
string
required

RFC3339 timestamp when the dataset was created.

updated
string
required

RFC3339 timestamp when the dataset was last updated.

workspace_id
string
required
read-only

Workspace that owns the dataset, derived from the authentication context.

_id
string
required

Unique dataset identifier.